| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Parser
Parser.XML
Parser.XML.Tree
Parser.XML.Tree.AbstractSimpleNode

# Method Parser.XML.Tree.AbstractSimpleNode()->add_child()

Method add_child

  `AbstractSimpleNode add_child(AbstractSimpleNode c)`

Description

  Adds the given node to the list of children of this node. The new node is added last in the list.

Note

  The return value differs from the one returned by Node()->add_child() .

Returns

  The current node.